%define upstream_name    HTTP-Headers-Fast
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Faster implementation of HTTP::Headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Date)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
HTTP::Headers::Fast is a perl class for parsing/writing HTTP headers.

The interface is the same as HTTP::Headers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.220.0-4.mga10
+ Revision: 2205587
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.220.0-3.mga9
+ Revision: 1811588
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.220.0-2.mga8
+ Revision: 1525457
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 0.220.0-1.mga7
+ Revision: 1392457
- update to 0.22

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-2.mga7
+ Revision: 1284022
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1128641
- update to 0.21

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-2.mga6
+ Revision: 1028437
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.200.0-1.mga6
+ Revision: 923772
- update to 0.20

* Sun Aug 23 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 868459
- update to 0.19

* Sun Jul 05 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 851391
- update to 0.18

* Sun Oct 19 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 789252
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-3.mga5
+ Revision: 742107
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 685003
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 585907
- update to 0.17

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 512095
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 368281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 258938
- update to 0.16

* Fri Jan 21 2011 jquelin <jquelin> 0.130.0-2.mga1
+ Revision: 28589
- mageia rebuild
- imported package perl-HTTP-Headers-Fast


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.130.0-2mdv2011.0
+ Revision: 625026
- Add a missing build requires.
- import perl-HTTP-Headers-Fast

